/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 *
 * 注册api接口集合
 * @method login 登录
 */

import { http } from "@/utils/http";
import { baseUrlApi } from "../util";
type Result = {
  success: boolean;
  data: Array<any>;
};

// 获取行政区域列表
export const getRegionList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getRegionList")
  );
};

// 获取开标方式集合
export const getKaibiaofangshiList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getKaibiaofangshiList")
  );
};

// 获取是否枚举集合
export const getYesNoEnumList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getYesNoEnumList")
  );
};

// 获取复合体投标集合
export const getFuhetitoubiaoList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getFuhetitoubiaoList")
  );
};

// 获取定标规则集合
export const getDingbiaoguizeList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getDingbiaoguizeList")
  );
};

// 获取代码类型集合
export const getDaimaleixingList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getDaimaleixingList")
  );
};

// 获取采购方式集合
export const getCaigoufangshiList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getCaigoufangshiList")
  );
};

// 获取行业品目集合
export const getHangyepingmuList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getHangyepingmuList")
  );
};

// 获取项目进度集合
export const getOrderStatusList = () => {
  return http.request<Result>(
    "get",
    baseUrlApi("/api/tenderOrder/getOrderStatusList")
  );
};

// 获取非政府订单处理详情
export const getTenderOrderDetail = () => {
  return http.request<Result>("get", baseUrlApi("/api/tenderOrder/detail"));
};

// 下载非政府订单处理数据导入模板
export const importFZF = () => {
  return http.request<Result>("get", baseUrlApi("/api/tenderOrder/import"));
};

// 首页查询非政府订单处理
export const shouyeOrder = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/shouyeOrder"), {
    data
  });
};

// 招标代理分页查询非政府订单处理
export const zhaobiaoPageOrder = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/page"), { data });
};

// 采购代理人增加非政府订单处理
export const caigourenAdd = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/add"), { data });
};

// 采购代理人更新非政府订单处理
export const caigourenUpdate = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/update"), { data });
};

// 采购代理人更新非政府订单质疑
export const caigourenUpdateZhiyi = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/updateZhiyi"), {
    data
  });
};

// 采购代理人更新非政府订单投诉
export const caigourenUpdateTousu = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/updateTousu"), {
    data
  });
};

// 采购代理人删除非政府订单处理
export const caigourenDelete = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/delete"), { data });
};

// 采购代理人批量删除非政府订单处理
export const caigourenBatchDelete = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/batchDelete"), {
    data
  });
};

// 导出非政府订单处理记录
export const exportFZF = (data?: object) => {
  return http.request("post", baseUrlApi("/api/tenderOrder/export"), { data });
};
